php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #14718 Compiling Error in PHP 4.1.1 in gd.c
Submitted: 2001-12-27 08:07 UTC Modified: 2002-03-17 11:48 UTC
Votes:1
Avg. Score:5.0 ± 0.0
Reproduced:1 of 1 (100.0%)
Same Version:1 (100.0%)
Same OS:1 (100.0%)
From: tapken at engter dot de Assigned:
Status: Closed Package: GD related
PHP Version: 4.1.0 OS: Linux
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: tapken at engter dot de
New email:
PHP Version: OS:

 

 [2001-12-27 08:07 UTC] tapken at engter dot de
This report is about PHP 4.1.1, NOT 4.1.0... The report.php doesn't allow to select 4.1.1 :-).

./configure '--prefix=/usr' '--with-apxs=/usr/sbin/apxs' '--with-gd' '--with-gettext=/usr' '--enable-safe-mode' '--with-config-file-path=/etc/httpd' '--with-exec-dir=/usr/bin' '--with-zlib' '--enable-magic-quotes' '--with-regex=system' '--with-ttf=/usr/lib/libttf.so' '--enable-track-vars' '--enable-xml' '--disable-debug' '--with-interbase=shared' '--with-pgsql=shared' '--with-ldap' '--with-imap' '--enable-versioning' '--with-mysql' '--enable-ftp' '--enable-bcmath'

make[3]: Entering directory `/home/sites/home/users/admin/download/php-4.1.1/ext/gd'
/bin/sh /home/sites/home/users/admin/download/php-4.1.1/libtool --silent --mode=compile gcc  -I. -I/home/sites/home/users/admin/download/php-4.1.1/ext/gd -I/home/sites/home/users/admin/download/php-4.1.1/main -I/home/sites/home/users/admin/download/php-4.1.1 -I/usr/include/apache -I/home/sites/home/users/admin/download/php-4.1.1/Zend -I/usr/include/freetype -I/usr/include/imap -I/usr/interbase/include -I/home/sites/home/users/admin/download/php-4.1.1/ext/mysql/libmysql -I/home/sites/home/users/admin/download/php-4.1.1/ext/xml/expat  -DLINUX=2 -DMOD_SSL=206104 -DMOD_PERL -DUSE_PERL_SSI -Dbool=char -DHAS_BOOL -DEAPI -DBIG_SECURITY_HOLE -DCOBALT_RAQ_LED -I/home/sites/home/users/admin/download/php-4.1.1/TSRM -g -O2 -prefer-pic  -c gd.c
In file included from gd.c:36:
php_gd.h:69: warning: static declaration for `gdImageColorResolve' follows non-static
gd.c:92: conflicting types for `gdIOCtx'
/usr/local/include/gd_io.h:18: previous declaration of `gdIOCtx'
gd.c: In function `zif_imagecreatefromgif':
gd.c:1203: `gdImageCreateFromGif' undeclared (first use in this function)
gd.c:1203: (Each undeclared identifier is reported only once
gd.c:1203: for each function it appears in.)
gd.c: In function `zif_imagegif':
gd.c:1432: `gdImageGif' undeclared (first use in this function)
make[3]: *** [gd.lo] Error 1
make[3]: Leaving directory `/home/sites/home/users/admin/download/php-4.1.1/ext/gd'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/sites/home/users/admin/download/php-4.1.1/ext/gd'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/sites/home/users/admin/download/php-4.1.1/ext'
make: *** [all-recursive] Error 1

Seems to be a bug related with GD :-). I'll use 4.1.0 until it is fixed.

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-12-27 15:44 UTC] tapken at engter dot de
Whoops, seems that this is an error by me... 4.0.6 doesn't compile too... 
 [2001-12-27 16:32 UTC] tapken at engter dot de
Well, the problem occurs in 4.0.6, 4.1.0 and 4.1.1... I'm using GD-1.8.4. I made a locate for every file gd contains and i found some duplicates and removed them. It doesn't help. Yes, i did a "make distclean" bevor re-configure.

Now i'm trying to compile without gd, seems to work. But i would miss gd very much!
 [2001-12-27 16:50 UTC] tapken at engter dot de
Seems to be a bug with configure....

Line 1203 say:
1202: #ifdef HAVE_GD_GIF_READ
1203:   _php_image_create_from(INTERNAL_FUNCTION_PARAM_PASSTHRU, PHP_GDIMG_TYPE$
1204: #else /* HAVE_GD_GIF_READ */

But GD 1.8.4 doesn't understand gif... Line 1432 is similar. I added an _RT to the #ifdef-Lines so that gcc ignores this and now it seems to work fine.
 [2001-12-27 17:42 UTC] tapken at engter dot de
...or not. Now when restarting apache:

Setting up Web Service: Syntax error on line 58 of /etc/httpd/conf/httpd.conf:
Cannot load /etc/httpd/modules/libphp4.so into server: /etc/httpd/modules/libphp4.so: undefined symbol: gdImageColorResolve

:'-(
 [2001-12-27 18:18 UTC] tapken at engter dot de
Am i getting on your nerves? Sorry.

tar xzf gd-1.8.4 
cd php-4.1.1
./configure [...] --with-gd=/path/to/gd/sources

Well, i don't know what will happen if i remove the source directory but it seem to work (compiled and installed successfilly). Seems to be a problem with my system, not with php. sorry.
 [2002-03-17 11:48 UTC] sander@php.net
Closing on user request.
 [2002-10-15 15:33 UTC] q at tranceaddict dot net
aaaargh!! i hate linux, i haatteee linuxxx!!!
/install/gd/gd-1.8.4
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Fri Sep 24 10:03:36 2021 UTC